## 2019年给研发部同事的一封信

尊敬的各位研发部同事：

2019年春节期间，突然冒出的想法，向给各位同事写一封信，分享一些自己的一些经理和一些感受。

我是2013年来到海南的，是坐火车过来的，从北京到海南，相隔3000多公里，整整坐了2天一夜。还记得在徐闻等待过海时，仰望着窗外的星空，心里默默想着要在海南成就一份事业。然后，就开启了寻觅合适事业的5年。

回过头来看，5年的时间里是不断的切换角色，工作内容的过程。从最开始的一个人做硬件，到转做苹果App，到做后台，再到今天……这几年期间，可以说是战战兢兢，如履薄冰，充满危机感。

我在北京做的是硬件，到海南才发现连买电子元器件的地方都没有！在海南第一家公司做硬件，所有元器件的购买都是托北京的朋友完成的。做了不到一年，项目停止了！当时的想法是很可能又要找工作了，而诺大的海南做硬件的公司少之又少！机缘巧合，因为和硬件打交道，有点C语言基础，公司让我试着学习一下苹果App开发。当时的我，没用过iPhone，没有苹果电脑，也没有任何做过客户端，硬着头皮就上了。2014年是社区O2O的风口。机缘巧合，当时的公司和现在我们的集团公司合作做社区App项目，我的第一款App上线了App Store。然而，仅仅是上线而已，项目没做半年再次终止。

原来的公司领导又拉我们出来做外包，开始了痛苦的外包过程。也没支撑多久，公司又遭遇了资金困难，不得不离职找工作。去复兴城的一家P2P金融公司（18年以为兑付问题已经停止经营），做了2个多月，虽然工作很轻松，基本上半天能干完一天的活，但是感觉却是浪费时间，于是试用期未过辞职出来和朋友创业。这期间再次接触到了我们的集团公司，成为了集团公司的外包方。当时，因为工作的复杂性，我们团队讨论了很久，最终大家一致认为物业行业是一个连接社区的衣食住行娱乐游玩的行业，这个行业足够大，也足够有延伸性，值得我们做5年甚至10年。也是在这个时候，我开始了后台开发。数据库只在当时找工作时学了学，PHP语言从未接触过，就这样从头再学。然后，有了“小区汇”。“小区汇”在2018年基本没有运营的情况下，产生了近800万的缴费额，是这几年外包项目中让我们最有成就感的一个外包项目。到了2018年4月份，我们又走到了十字路口。我们是一支纯粹的技术型团队，缺少客户资源和市场拓展能力，往下走基本上可以看到头。最终，在我们现在的林董事长的赏识之下，我们从外包方变成了智慧城的一员直到今天。之所以会选择留在智慧城，还是我们当时的初衷，这个行业值得我们奋斗，深耕5到10年，只要我们坚持就能够创造出属于我们的一片天地！

很多人会说上大学没学到什么，但是，我想还是要感谢大学。也许，大学赋予我们的知识是与时代脱节的，但是却也是在大学才掌握了受用一生的自我学习能力。__学习__，才是能够跟得上这个快速变化，知识爆炸时代的唯一途径。而保持__危机感__则是学习的最大动力。18年是整个中国危机感很强的一年，而海南尤为严重。我接触的很多技术型或互联网的公司都面临各种各样的问题，欠薪，裁员比比皆是。海南的巨头企业海航负债超过6000亿，要知道，整个海南省2018年的GDP还不到5000亿！由于地产行业的限购政策的影响，海南省的GDP从2017年的7%增长率下滑到了2018年的5.8%。整个中国也是一样，受去杠杆，中美贸易战影响，国内也是危机四伏。阿里巴巴，京东，百度等巨头都采取了各种各样形式的裁员。2019年，这种情况大概率会延续。有危机，更会蕴藏机遇，而机会则是留给准备充分的人。因此，给各位的建议是“广积粮”，持续学习，积累知识，终有大展宏图的一天。

18年公司年会上，我说我们公司18年最大的收获是拥有了一支优秀的队伍，让我们有了打造优秀产品的基础。我想要感谢我们研发部的每一位同事，是你们的支持让我有了这一份信心。

招聘大家入职的时候，我经常会问的一个问题是大家的职业规划。大家的回答有很多，成为技术架构师、带团队、追求稳定……我相信大家的回答都是发自内心的，我在找工作的时候也是类似的回答。然而，我想给大家的一个建议是：经常问问自己，为了这些规划的实现，我做出努力了吗？我在北京的公司的总经理每年年会都会去讲稻盛和夫的六项精进，其中有一项是“付出不亚于任何人的努力”。在这样的一个时代里，我想研发部的各位同事努力的方向有两个，一是技术专家，二是业务专家。技术专家，遇到问题能够迎刃而解，树立起高高的门槛，让你拥有独特的价值；业务专家，能够深入行业，将复杂业务梳理清晰，助力行业发展升级。而成为专家，则需要不断的努力，不断的学习。

关于付出与收获，中国人将“舍得”两个字放在一起表示大方，湖南人把“舍不得”当做小气的一种表现，有“舍”才有“得”。我清晰的记得在电视剧《贞观长歌》中的一句话，叫做“欲先取之，必先予之”。我希望大家都能够保持这样的一种心态去做事情，只要你一直这么去做，回过头来你会发现你会有满满的收获。

关于我们公司的老板林奇勇先生，我想给大家介绍一下，有一个好的掌舵人是企业成功的基石。春节放假前的周五，我有幸受邀参加了新成海海口公司的员工年会。当时播放了新成海公司的司歌视频，在视频中我看到年轻时候的老板，突然一阵感动。从30来岁的意气风发的年龄做到今天头发花白，从一个小区做到了今天的集团公司，我们的董事长林奇勇可谓是一路艰辛！更重要的是，即便是今天，他依旧保持了敏锐的商业嗅觉和当年的意气风发！新成海物业集团是海南最早一批使用物业收费软件（极致）的物业公司，是最早使用OA办公的物业公司。在探索智慧社区这条路上，他一直在坚持，从未放弃。从引入智能硬件，节能产品，投入开发物业软件，电商平台，建设农业种植、养殖基地……他很早就在为社区服务做铺垫。作为我个人，是十分相信他的战略布局能够真正打造出智慧社区。而这一切，需要我们整个智慧城团队做技术、运营支撑。在海南，这样的领头人并不多，在海南像智慧城这样能够提供资金，资源和优秀团队的公司也不多，希望大家能够珍惜！

中国正面临百年之未遇的战略转型期，我的研究生导师和我们说我们这一代是幸运的，将会是中华民族伟大复兴的见证者。而我们，也将成为中华民族伟大复兴的贡献者！任重而道远，19年将会是整个公司极为关键的一年，希望大家能够一起努力，携手创造属于我们的美好未来。作为研发部的负责人，我希望我们研发部是一个__自我驱动__，__持续学习__，__舍得付出__，__乐于分享__，__真诚协作__的团队！希望有一天，谈起智慧城科技的时候，我们能够让大家对来自海南的科技公司竖起大拇指！也能够让大家对来自海南的研发队伍竖起大拇指！

        此致！
    
       祝新春愉快，身体健康，阖家幸福！
